<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">

    <title>hexo-theme-doc-seed | swagger - to HTML </title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    

    <!-- fonts -->
    <link href="//fonts.googleapis.com/css?family=Source+Sans+Pro:400,700" rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Ubuntu:300,400,500,600,700" rel="stylesheet">

    <!-- stylesheets -->
    <link rel="stylesheet" href="/style/doc.css">

    <!-- favicon -->
    <link rel="icon" href="/images/favicon.ico">

    

  </head>
  <body>

   <script>window.__INITIAL_STATE__ = {"page":{"title":"swagger - to HTML","path":"swagger/to-html.html"},"data":{"navigation":{"logo":{"text":"Form Express Help Document","type":"link","path":"index.html"},"main":[{"text":"SWAGGER","type":"label"},{"text":"UI","type":"link","path":"swagger/ui.html"},{"text":"To HTML","type":"link","path":"swagger/to-html.html"},{"text":"SUPPORT AND FEEDBACK","type":"label"},{"text":"Raise an Issue/Question for us","type":"link","path":"https://github.bus.zalan.do/stargate/hexo-stargate-doc-theme-seed/issues/new"}]}},"config":{"timezone":"UTC","root":"/","time_format":"HH:mm:ss","theme":"../node_modules/hexo-theme-doc","theme_config":{"swagger_ui":{"version":2,"permalinks":true,"api_explorer":true,"download":"Download specification","show_extensions":false,"deep_linking":true,"display_operation_id":false,"doc_expansion":"none"},"search":{"skip":false,"background":false,"route":"/lunr.json"},"favicon":"images/favicon.ico"}}}</script>

    <div id="react-navigation-root"><div class="doc-navigation" data-reactroot=""><nav class="doc-navbar"><a href="/index.html" class="doc-navbar__logo"><img src="/images/logo.png" class="doc-navbar__logo__img"/><span class="doc-navbar__logo__text">Form Express Help Document</span></a><i class="dc-icon dc-icon--close dc-icon--interactive doc-sidebar-close doc-navbar__sidebar-close doc-navbar__sidebar-close--desktop"></i><i class="dc-icon dc-icon--menu dc-icon--interactive doc-sidebar-toggle doc-navbar__sidebar-toggle"></i></nav><nav class="doc-sidebar"><div class="doc-sidebar__vertical-menu"><i class="dc-icon dc-icon--menu dc-icon--interactive doc-sidebar-toggle doc-sidebar-toggle--primary doc-sidebar__vertical-menu__item"></i><i class="dc-icon dc-icon--search dc-icon--interactive doc-sidebar__vertical-menu__item doc-sidebar__vertical-menu__item--primary"></i></div><div class="doc-sidebar-content"><div class="doc-sidebar__search-form"></div><ul class="doc-sidebar-list"></ul></div></nav></div></div>
    <div class="doc-content">
  <div class="dc-page">
    <div class="dc-card">
      <div id="react-search-results-root"></div>
      <div id="page-content" class="doc-formatting">
        <h1 id="Swagger-to-HTML"><a href="#Swagger-to-HTML" class="headerlink" title="Swagger to HTML"></a>Swagger to HTML</h1><div class="doc-swagger-to-html">
                <div class="download-btn" data-download-route="/e7f8d5d11aa987efe7ae27098159a9c5/_petstore.json">
                  <a class="download-btn__link" href="/e7f8d5d11aa987efe7ae27098159a9c5/_petstore.json" target="_blank" download="">Download Schema</a>
                </div>
                <div class="head">
  <div class="head__title">
    <h1 class="head__title__text">
      Swagger Petstore
    </h1>
    <div class="head__title__version">
        Version: 1.0.0
    </div>
  </div>
  <div class="head__description">
    
  </div>
</div>

<div class="body">
  <div class="definitions">
    
      <div class="operation">
  <div class="operation-info">
    <h2 id="List-all-pets" class="operation-info__title">List all pets</h2>

    <div class="operation-info__description"></div>

    <div class="operation-info__verb">
      <div class="operation-info__verb__name operation-info__verb__name--get">
        GET
      </div>
      <div class="operation-info__verb__path">
        /pets
      </div>
    </div>
  </div>
  
  <div class="request">
  <div class="request__title">
    <div class="request__title__reference">
      <h3>Request</h3>
    </div>
    <div class="request__title__sample">
      <h3>Sample Request</h3>
    </div>
  </div>
  <table class="request__content">
    <tr>
      <td class="request__content__reference">
        <div class="reference">

          

          
            <div class="reference-card">
  <div class="reference-card__title">
    Path
  </div>
  
    <div class="reference-card__content ">
      <div class="reference-card__content__info">
        <div class="reference-card__content__info__name">
          limit
        </div>
        
          <div class="reference-card__content__info__type">
            integer  (int32) 
          </div>
        
        
      </div>
      
        <div class="reference-card__content__usage">
          Used in query
        </div>
      
      
        <div class="reference-card__content__description">
          How many items to return at one time (max 100)
        </div>
      
      
    </div>
  
</div>


          

          

        </div>
      </td>
      <td class="request__content__sample">
        
  <div class="sample-snippet">
    <figure class="highlight bash"><table><tr><td class="code"><pre><span class="line">curl -v -X GET http://petstore.swagger.io/v1/pets</span><br></pre></td></tr></table></figure>
    <button class="dc-btn sample-snippet__copy-btn dc-btn--small" data-dc-has-tooltip="Copied!">Copy Request</button>
  </div>


      </td>
    </tr>
  </table>
</div>


  <div class="response">
  <div class="response__title">
    <div class="response__title__reference">
      <h3>Response</h3>
    </div>
    <div class="response__title__sample">
      <h3>Sample Response</h3>
    </div>
  </div>
  
    <table class="response__content">
      <tr>
        <td class="response__content__reference">
          <div class="reference">

  <div class="reference__response-code">
    
      Status Code: <code>200</code>
    
  </div>

  
    <div class="reference__description">
      An paged array of pets
    </div>
  

  <div class="reference-card">
    <div class="reference-card__title">
      Reference
    </div>
    
      
  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        []
      </div>
      
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        [].id
      </div>
      
        <div class="reference-card__content__info__type">
          integer  (int64) 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        [].name
      </div>
      
        <div class="reference-card__content__info__type">
          string 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        [].tag
      </div>
      
        <div class="reference-card__content__info__type">
          string 
        </div>
      
      
    </div>
    
    
    
  </div>


    
  </div>

</div>

        </td>
        <td class="response__content__sample">
          

        </td>
      </tr>
    </table>
  
    <table class="response__content">
      <tr>
        <td class="response__content__reference">
          <div class="reference">

  <div class="reference__response-code">
    
      This is a default response for the request.
    
  </div>

  
    <div class="reference__description">
      unexpected error
    </div>
  

  <div class="reference-card">
    <div class="reference-card__title">
      Reference
    </div>
    
      
  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        code
      </div>
      
        <div class="reference-card__content__info__type">
          integer  (int32) 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        message
      </div>
      
        <div class="reference-card__content__info__type">
          string 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>


    
  </div>

</div>

        </td>
        <td class="response__content__sample">
          

        </td>
      </tr>
    </table>
  
</div>

</div>

    
      <div class="operation">
  <div class="operation-info">
    <h2 id="Create-a-pet" class="operation-info__title">Create a pet</h2>

    <div class="operation-info__description"></div>

    <div class="operation-info__verb">
      <div class="operation-info__verb__name operation-info__verb__name--post">
        POST
      </div>
      <div class="operation-info__verb__path">
        /pets
      </div>
    </div>
  </div>
  
  <div class="request">
  <div class="request__title">
    <div class="request__title__reference">
      <h3>Request</h3>
    </div>
    <div class="request__title__sample">
      <h3>Sample Request</h3>
    </div>
  </div>
  <table class="request__content">
    <tr>
      <td class="request__content__reference">
        <div class="reference">

          

          

          

        </div>
      </td>
      <td class="request__content__sample">
        
  <div class="sample-snippet">
    <figure class="highlight bash"><table><tr><td class="code"><pre><span class="line">curl -v -X POST http://petstore.swagger.io/v1/pets</span><br></pre></td></tr></table></figure>
    <button class="dc-btn sample-snippet__copy-btn dc-btn--small" data-dc-has-tooltip="Copied!">Copy Request</button>
  </div>


      </td>
    </tr>
  </table>
</div>


  <div class="response">
  <div class="response__title">
    <div class="response__title__reference">
      <h3>Response</h3>
    </div>
    <div class="response__title__sample">
      <h3>Sample Response</h3>
    </div>
  </div>
  
    <table class="response__content">
      <tr>
        <td class="response__content__reference">
          <div class="reference">

  <div class="reference__response-code">
    
      Status Code: <code>201</code>
    
  </div>

  
    <div class="reference__description">
      Null response
    </div>
  

  <div class="reference-card">
    <div class="reference-card__title">
      Reference
    </div>
    
      

    
  </div>

</div>

        </td>
        <td class="response__content__sample">
          

        </td>
      </tr>
    </table>
  
    <table class="response__content">
      <tr>
        <td class="response__content__reference">
          <div class="reference">

  <div class="reference__response-code">
    
      This is a default response for the request.
    
  </div>

  
    <div class="reference__description">
      unexpected error
    </div>
  

  <div class="reference-card">
    <div class="reference-card__title">
      Reference
    </div>
    
      
  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        code
      </div>
      
        <div class="reference-card__content__info__type">
          integer  (int32) 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        message
      </div>
      
        <div class="reference-card__content__info__type">
          string 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>


    
  </div>

</div>

        </td>
        <td class="response__content__sample">
          

        </td>
      </tr>
    </table>
  
</div>

</div>

    
      <div class="operation">
  <div class="operation-info">
    <h2 id="Info-for-a-specific-pet" class="operation-info__title">Info for a specific pet</h2>

    <div class="operation-info__description"></div>

    <div class="operation-info__verb">
      <div class="operation-info__verb__name operation-info__verb__name--get">
        GET
      </div>
      <div class="operation-info__verb__path">
        /pets/{petId}
      </div>
    </div>
  </div>
  
  <div class="request">
  <div class="request__title">
    <div class="request__title__reference">
      <h3>Request</h3>
    </div>
    <div class="request__title__sample">
      <h3>Sample Request</h3>
    </div>
  </div>
  <table class="request__content">
    <tr>
      <td class="request__content__reference">
        <div class="reference">

          

          
            <div class="reference-card">
  <div class="reference-card__title">
    Path
  </div>
  
    <div class="reference-card__content ">
      <div class="reference-card__content__info">
        <div class="reference-card__content__info__name">
          petId
        </div>
        
          <div class="reference-card__content__info__type">
            string 
          </div>
        
        
          <div class="reference-card__content__info__required">
            required
          </div>
        
      </div>
      
        <div class="reference-card__content__usage">
          Used in path
        </div>
      
      
        <div class="reference-card__content__description">
          The id of the pet to retrieve
        </div>
      
      
    </div>
  
</div>


          

          

        </div>
      </td>
      <td class="request__content__sample">
        
  <div class="sample-snippet">
    <figure class="highlight bash"><table><tr><td class="code"><pre><span class="line">curl -v -X GET http://petstore.swagger.io/v1/pets/{petId}</span><br></pre></td></tr></table></figure>
    <button class="dc-btn sample-snippet__copy-btn dc-btn--small" data-dc-has-tooltip="Copied!">Copy Request</button>
  </div>


      </td>
    </tr>
  </table>
</div>


  <div class="response">
  <div class="response__title">
    <div class="response__title__reference">
      <h3>Response</h3>
    </div>
    <div class="response__title__sample">
      <h3>Sample Response</h3>
    </div>
  </div>
  
    <table class="response__content">
      <tr>
        <td class="response__content__reference">
          <div class="reference">

  <div class="reference__response-code">
    
      Status Code: <code>200</code>
    
  </div>

  
    <div class="reference__description">
      Expected response to a valid request
    </div>
  

  <div class="reference-card">
    <div class="reference-card__title">
      Reference
    </div>
    
      
  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        []
      </div>
      
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        [].id
      </div>
      
        <div class="reference-card__content__info__type">
          integer  (int64) 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        [].name
      </div>
      
        <div class="reference-card__content__info__type">
          string 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        [].tag
      </div>
      
        <div class="reference-card__content__info__type">
          string 
        </div>
      
      
    </div>
    
    
    
  </div>


    
  </div>

</div>

        </td>
        <td class="response__content__sample">
          

        </td>
      </tr>
    </table>
  
    <table class="response__content">
      <tr>
        <td class="response__content__reference">
          <div class="reference">

  <div class="reference__response-code">
    
      This is a default response for the request.
    
  </div>

  
    <div class="reference__description">
      unexpected error
    </div>
  

  <div class="reference-card">
    <div class="reference-card__title">
      Reference
    </div>
    
      
  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        code
      </div>
      
        <div class="reference-card__content__info__type">
          integer  (int32) 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>

  <div class="reference-card__content ">
    <div class="reference-card__content__info">
      <div class="reference-card__content__info__name">
        message
      </div>
      
        <div class="reference-card__content__info__type">
          string 
        </div>
      
      
        <div class="reference-card__content__info__required">
          required
        </div>
      
    </div>
    
    
    
  </div>


    
  </div>

</div>

        </td>
        <td class="response__content__sample">
          

        </td>
      </tr>
    </table>
  
</div>

</div>

    
  </div>
</div>

              </div>

        <div id="react-support-footer-root"></div>
      </div>
    </div>
  </div>
</div>

    


    

    <!-- js vendors -->
    <script src="//code.jquery.com/jquery-3.2.1.min.js" crossorigin="anonymous"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/lunr.js/2.1.0/lunr.min.js"></script>

    <!-- js source  -->
    <script src="/script/doc.js"></script>

    

  </body>
</html>
